import { CacheData } from "../types";
import DatabaseDriverInterface from "../DatabaseDriverInterface";
import LocalForageDatabaseEngine from "./LocalForageDatabaseEngine";
export default class EncryptedLocalForageDatabaseEngine extends LocalForageDatabaseEngine implements DatabaseDriverInterface {
    /**
     * Set data into storage engine
     * @param {string} key
     * @param {value} value
     */
    set(key: string, value: any): Promise<any>;
    /**
     * Get vale from storage engine
     *
     * @param   {string} key
     * @returns {any}
     */
    get(key: string, cacheData?: CacheData): Promise<any>;
}
//# sourceMappingURL=EncryptedLocalForageDatabaseEngine.d.ts.map